/*
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

/* Header */

.primary-menu .sub-arrow{
	transition: transform 0.5s ease-in-out;
	padding: unset!important;
    margin: -8px 0px -10px 10px;
}

.icon-lang .trp-language-switcher {
    width: fit-content;
}

.trp-ls-shortcode-current-language,
.trp-ls-shortcode-language{
    border: unset !important;
	width: fit-content !important;
	padding: 5px 0 3px 0!important;
	background: #ffffff00!important;

}

.icon-lang {
    width: 45px;
    overflow: hidden;
    height: 100px;
}

.elementor-menu-cart__main:before {
    content: "Cart";
    font-family: "Cormorant Garamond";
    font-size: 35px;
    font-weight: 600;
    position: absolute;
    top: 11px;
	left: 20px;
}

.elementor-menu-cart__close-button {
    margin-right: 10px;
}

.elementor-menu-cart__product-image.product-thumbnail {
    display: none;
}

.elementor-menu-cart__product-name {
    grid-column-start: 1 !important;
    padding: 20px 10px !important;
}


.elementor-menu-cart__product.woocommerce-cart-form__cart-item.cart_item {
    background: #FFF;
}

.elementor-menu-cart__product-remove.product-remove {
    border: unset !important;
    margin-top: 22px;
	margin-right: 10px;
	top:unset!important;
}

.elementor-menu-cart__footer-buttons {
    margin: 0 20px;
}

.elementor-menu-cart__main .product-short-description,
.elementor-menu-cart__main .product-category{
    display: block!important;
}

.elementor-menu-cart__main dl.variation {
    margin: unset !important;
}

.elementor-menu-cart__product {
    padding: 0 0 10px 0 !important;
}

.elementor-menu-cart__product-name.product-name {
    padding: 20px 40px 20px 20px !important;
}

.elementor-menu-cart__main dl.variation:before {
    content: "*Add On*";
    font-size: 16px;
    color: #6D5C53;
	font-weight:300;
}

.elementor-menu-cart__main .product-category {
    font-size: 16px;
    color: #6D5C53;
    font-weight: 300;
}

.elementor-menu-cart__main .product-short-description strong {
    font-size: 16px;
    font-weight: 300;
}

.elementor-menu-cart__main .product-short-description ul {
    color: #bf926b;
    font-size: 14px;
	padding-left: 20px;
}

.elementor-menu-cart__main .product-short-description ul li{
	position:relative;
}

.elementor-menu-cart__main .product-short-description ul li::marker{
	content:"";
}

.elementor-menu-cart__main .product-short-description ul li:before{
    content: "\f111";
    font-family: 'FontAwesome';
    font-size: 3px;
    position: absolute;
    left: -13px;
    top: 12px;
}

.elementor-menu-cart__product-price.product-price {
    text-align: right;
    margin-right: 20px;
    font-size: 20px;
    font-weight: 400 !important;
}

.elementor-menu-cart__close-button {
    margin-right: 15px!important;
	margin-bottom: 10px !important;
}

.woocommerce-mini-cart__empty-message {
    margin: 20px;
}


/* Product loop */

.flip-box-product img{
	height:399px;
	object-fit:cover;
	margin-bottom:-5px;

}

.flip-box-product .elementor-flip-box{
	height:399px;
}

.flip-box-product h3.elementor-flip-box__layer__title {
    text-align: left;
	font-family:'roboto'!important;
	font-size:18px!important;
	font-weight:300!important;
	line-height:24px!important;
}

.product-tabs span.e-n-tab-icon {
    display: none!important;
}

.product-tabs span.e-n-tab-title-text {
    padding: 15px 35px;
}

.product-tabs .e-n-tab-title:not(:last-child) span.e-n-tab-title-text:after {
    right: -4px;
    content: "\f45c";
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    font-size: 4px;
    position: absolute;
    transform: rotate(45deg);
    z-index: 99;
    color: #6d5c53;
}

.product-tabs .e-n-tabs-heading {
    margin-left: 55px;
}

.flip-box-product li::marker {
    font-size: 16px;
}

.flower-button{
	width: 145px;
    height: 52px;
}

.flower-button:before{
	transition:0.5s;
}

.flower-button:hover:before{
	width: 5%;
    height: 5%;
    left: 50%;
    top: 50%;
}

@media (max-width:768px){
	
	.product-tabs .elementor-widget-loop-grid{
		width: fit-content !important;
		min-width: unset !important;
		max-width: unset !important;
	}
	
	.product-tabs .e-n-tabs-heading {
		margin-left: unset!important;
	}
	
	.product-tabs span.e-n-tab-title-text {
		padding: 15px 20px!important;
	}
	
}

.pagination-dot.inactive i {
	color: #D9D9D9
}

.pagination-dot.active i{
	color: #BF926B
}

.pagination-dot i {
    width: 15px !important;
}

/* Package */

.top-part {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
	gap: 5px;
}

.bottom-part {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
	align-items: center;
	gap: 5px;
}

.package-form select{
    height: fit-content;
    width: fit-content;
	border: unset;
    font-size: 50px;
	font-style: italic;
    font-family: "Cormorant Garamond", Sans-serif, "Font Awesome 6 Free";
    padding-top: 9px;
	color: #6D5C53;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-appearance: none;
	-moz-appearance: none;
}

.package-form h1{
    color: #6D5C53;
    font-family: "Cormorant Garamond", Sans-serif;
    font-weight: 300;
	margin: unset !important;
}

.package-form i.fa-solid.fa-angle-down{
	font-size: 25px;
    color: #6D5C53;
    margin-right: 20px;
}

/* Package-loop */

.single-package {
    padding: 50px;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    gap: 30px;
}

.single-package:not(:nth-child(2n)) {
    background: #FFF;
}

.package-meta {
    display: flex;
    flex-direction: column;
    gap: 40px;
	flex: 1;
}

.single-package img {
    width: 350px;
    height: 380px;
    object-fit: cover;
}

.package-description-loop {
	flex: 1;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
	
}

.package-description-loop > div {
	flex: 1 0 30%;
}

.package-name {
    font-size: 30px;
    color: #6D5C53;
    font-family: 'roboto';
    font-weight: 400;
}

.package-short-description strong,
.attribute-title {
    font-family: 'roboto';
    font-size: 20px;
    color: #6D5C53;
    font-weight: 500;
}

.package-short-description ul,
ul.attribute-options-loop {
    font-size: 18px;
    color: #BF926B;
    font-family: 'roboto';
    font-weight: 300;
	padding-left: 20px;
}

.package-short-description li{
	position:relative;
}

.decoration-attribute-loop .package-attribute {
    margin-left: 20px;
}

.decoration-attribute-loop .package-attribute .attribute-title{
	color:#BF926B;
}

.package-meta button.single_add_to_cart_button.button.alt {
    border: unset;
    border-radius: unset;
    padding: 13px 35px;
    background: #bf926b;
    color: #FFF;
	margin-top: 20px;
}

.package-meta .wpcpo-options {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
}

.package-meta .wpcpo-option {
    display: flex;
	flex-wrap: wrap;
	gap: 10px;
}

.package-meta .wpcpo-options p.form-row {
    margin: unset;
}

.package-meta label.wpcpo-option-name {
    display: flex;
    flex-direction: column;
    justify-content: center;
	white-space: nowrap;
	font-size:16px;
}

.package-meta .wpcpo-option input {
    background: #FDF4DE;
    border: unset;
    width: 75px;
}

.package-meta .wpcpo-total {
    display: none;
}

.package-meta  .wpcpo-option-form {
    display: flex;
    align-items: center;
}

li.option {
    position: relative;
}

li.option::marker,
.package-short-description li::marker{
    content: ""!important;
}

li.option:before,
.package-short-description li:before{
    content: "\f111";
    font-family: 'FontAwesome';
    font-size: 3px;
    position: absolute;
    left: -13px;
    top: 12px;
}


pre{
	color:#000!important;
}

@media (max-width:1024px) {
	
	.package-form select{
		font-size:40px;
	}
	
	.package-form h1{
		font-size:30px;
	}
	
	.single-package {
		flex-direction: column;
	}
	
	.single-package img {
    	width: 100%;
		height: calc((100vw - 100px) / 1.5);
	}
	
	.package-form i.fa-solid.fa-angle-down {
		font-size: 20px;
	}

	
}

@media (max-width:767px) {
		
	.package-form select{
		font-size:35px;
	}
	
	.package-form h1{
		font-size:26px;
	}
	
	.single-package {
		padding: 20px;
		gap: 20px;
	}
	
	.package-name {
		font-size: 20px;
	}
	
	.package-short-description strong, .attribute-title {
		font-size: 18px;
	}
	
	.package-description-loop > div {
		flex: 0 0 100%;
	}
	
	.package-short-description ul, ul.attribute-options-loop {
		font-size: 16px;
	}
	
	.package-meta {
		gap: 40px;
	}

	.package-form i.fa-solid.fa-angle-down {
		font-size: 16px;
	}
	
}

/* Cart */

td.product-thumbnail {
    visibility: hidden;
    width: 0px;
}

td.product-name a {
    line-height: 35px;
    font-weight: 500;
}

/* checkout */

.custom-checkout h3#ship-to-different-address {
    display: none;
}

.custom-checkout .shipping_address {
    border: unset !important;
    box-shadow: 0 0 10px rgb(0 0 0 / 13%);
    margin-bottom: 30px !important;
}

.custom-checkout .shipping_address:before {
    content: "Shipping Details";
    font-size: 14px;
    font-weight: 700;
    margin-top: 0;
    color: #000000bd;
}

.woocommerce-additional-fields:before {
    content: "Additional Details";
    font-size: 14px;
    font-weight: 700;
    margin-top: 0;
    color: #000000bd;
}

.custom-checkout .woocommerce-shipping-fields__field-wrapper,
.custom-checkout .wooccm-additional-fields{
    margin-top: 30px;
}

/* Timeline */

#timeline-desktop:after{
	content:"";
	border-right:10px solid #FDF4DE;
	height:250px;
	border-radius:50px;
	position:absolute;
	right:-5px;
	top:0px
}

#timeline-mobile:after {
    content: "";
    border-left: 10px solid #FDF4DE;
    height: 400px;
    border-radius: 0 0 50px 50px;
    position: absolute;
    left: 10px;
    top: 10px;
}

